CALIBREDB(1)

NAME
calibredb - calibredb

calibredb command [opzioni] [argomenti]

calibredb è l'interfaccia da linea di comando che agisce sul database di calibre. Possiede molti sotto-comandi, descritti più sotto

calibredb può essere usato per manipolare un database di calibre identificato da un percorso oppure da un Server dei contenuti di calibre in esecuzione sulla macchina locale o su internet. Puoi avviare un Server dei contenuti di calibre con il comando calibre-server oppure facendo clic nell'interfaccia principale di calibre Connetti/condividi  → Avvia server dei contenuti. Dato che calibredb può modificare le tue biblioteche di calibre, devi prima impostare un'autenticazione per il server. Ci sono due modi per farlo:

•   Se intendi connetterti solamente a un server in esecuzione sul computer stesso,

    puoi semplicemente usare l'opzione --enable-local-write del server dei contenuti, per permettere ad ogni programma, calibredb incluso, in esecuzione sul computer locale di modificare i tuoi dati di calibre. Se il server è avviato dall'interfaccia principale di calibre, questa opzione si trova in Preferenze → Condivisione via rete → Avanzate.

•   Se vuoi invece abilitare l'accesso via internet, dovresti impostare

    degli utenti per il server e usare le opzioni --username e --password con calibredb per permettergli di accedere. Puoi impostare l'autenticazione utente per calibre-server usando l'opzione --enable-auth e usando --manage-users per creare gli utenti. Se hai avviato il server dall'interfaccia principale di calibre, usa Preferenze → Condivisione via rete → Richiedi nome utente/password.

    Per connetterti a un server dei contenuti in esecuzione, inserisci l'URL del server dopo l'opzione --with-library, vedi la documentazione dell'opzione per dettagli ed esempi.

•   OPZIONI GLOBALI

•   list

•   add

•   AGGIUNTA DA CARTELLE

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPZIONI

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

OPZIONI GLOBALI

--help, -h
    mostra questo messaggio di aiuto ed esci

--library-path, --with-library
    Percorso della biblioteca di calibre. Per impostazione predefinita viene usato il percorso salvato nelle impostazioni. Puoi anche connetterti a un server dei contenuti di calibre ed eseguire azioni su biblioteche remote. Per fare ciò usa un URL di formato: http://nomehost:porta/#id_biblioteca per esempio http://localhost:8080/#lamiabiblioteca. id_biblioteca è l'id della biblioteca a cui ti vuoi connettere nel server dei contenuti. Puoi usare il valore speciale di id_biblioteca di - per ottenere un elenco di id biblioteca disponibili nel server. Per dettagli su come impostare l'accesso attraverso un server dei contenuti, vedi https://manual.calibre-ebook.com/it/generated/it/calibredb.html.

--password
    La password per connettersi a un server dei contenuti di calibre. Per leggere la password dallo standard input, usa il valore speciale: <stdin>. Per leggere la password da un file, usa <f:/path/to/file> (ovvero <f: followed by the full path to the file and a trailing >). Le parentesi angolari di cui sopra sono richieste, ricordati di anteporre un carattere di escape o di usare le virgolette nel tuo terminale.

--timeout
    Il timeout, in secondi, della connessione a una biblioteca di calibre in rete. Il tempo predefinito è di due minuti.

--username
    Nome utente per connettersi a un server di contenuto calibre

--version
    mostra la versione del programma ed esci

LIST

calibredb list [opzioni]

Elenca i libri disponibili nel database di calibre.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--ascending
    Ordina i risultati in ordine crescente

--fields, -f
    I campi da mostrare quando sono elencati i libri del database. Dovrebbe essere una lista separata da virgole di campi. Campi disponibili: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Valore predefinito: %predefinito. Il campo speciale "all" può essere usato per selezionare tutti i campi. Oltre ai campi integrati di cui sopra, sono disponibili anche campi personalizzati scritti come *nome_campo; per esempio, per un campo personalizzato #valutazione, usa il nome: *rating

--for-machine
    Genera output in formato JSON, più adatto all'elaborazione automatica. Le opzioni di larghezza e separazione di linea verranno ignorate.

--limit
    Il numero massimo di risultati da visualizzare. Predefinito: tutti

--line-width, -w
    La larghezza massima di una singola riga nell'output. L'impostazione predefinita è quella di rilevare la dimensione dello schermo.

--prefix
    Il prefisso per tutti i percorsi. L'impostazione predefinita è il percorso alla cartella della biblioteca.

--search, -s
    Filtra i risultati con una ricerca. Per il formato della ricerca, vedere la documentazione relativa alla ricerca nel manuale utente. L'opzione predefinita è quella di non filtrare.

--separator
    La stringa usata per separare i campi. Predefinita: uno spazio.

--sort-by
    Il campo da usare per l'ordinamento dei risultati. Puoi specificare più campi usando la virgola come separatore. Campi disponibili: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Predefinito: id

--template
    Il modello da eseguire se "template" è nell'elenco dei campi. Predefinito: Nessuno

--template_file, -t
    Percorso di un file contenente il modello da eseguire se "template" è nell'elenco dei campi. Predefinito: Nessuno

--template_heading
    Intestazione della colonna del modello. Predefinito: pre%definito. Questa opzione viene ignorata se l'opzione --for-machine è impostata

ADD

calibredb add [opzioni] file1 file2 file3 ...

Aggiungi come libri i file specificati nel database. Puoi anche specificare delle cartelle, vedi le opzioni riferite alle cartelle qui sotto.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--authors, -a
    Imposta gli autori dei libri aggiunti

--automerge, -m
    Se vengono trovati libri con titoli e autori simili, unisci automaticamente i formati (file) in arrivo con record di libri già esistenti. Un valore di "ignora" significa che i formati duplicati vengono scartati. Un valore di "overwrite" significa che i formati duplicati nella biblioteca vengono sovrascritti dai nuovi file aggiunti. Un valore di "new_record" significa che i formati duplicati sono inseriti in un nuovo record libro.

--cover, -c
    Percorso della copertina da utilizzare per il libro aggiunto

--duplicates, -d
    Aggiungi libri al database anche se esistono già. Il confronto è basato su titoli e autori dei libri. Nota che l'opzione --automerge ha la precedenza.

--empty, -e
    Aggiungi un libro vuoto (un libro senza formati)

--identifier, -I
    Imposta gli identificatori per questo libro, ad esempio: -I asin:XXX -I isbn:YYY

--isbn, -i
    Imposta l'ISBN dei libri aggiunti

--languages, -l
    Un elenco separato da virgole di lingue (meglio utilizzare i codici di lingua ISO639 per evitare che alcuni nomi di lingue non siano riconosciuti)

--series, -s
    Imposta le serie dei libri aggiunti

--series-index, -S
    Imposta il numero della serie dei libri aggiunti

--tags, -T
    Imposta i tag dei libri aggiunti

--title, -t
    Imposta il titolo dei libri aggiunti

  AGGIUNTA DA CARTELLE

Opzioni per controllare l'aggiunta di libri dalle cartelle. Per impostazione predefinita solo i file con estensioni di e-book note sono aggiunti.

--add
    Uno schema per il nome del file (glob pattern), i file che corrispondono a questo schema saranno aggiunti durante la scansione delle cartelle, anche se il loro tipo di file non è quello tipico di un e-book. Può essere specificato più volte per schemi multipli.

--ignore
    Uno schema per il nome del file (glob pattern), i file che corrispondono a questo schema saranno ignorati durante la scansione delle cartelle. Può essere specificato più volte per schemi multipli. Ad esempio: *.pdf escluderà tutti i file PDF

--one-book-per-directory, -1
    Assumi che ogni cartella abbia un solo libro "logico" e che tutti i file in essa contenuti siano differenti formati e-book dello stesso libro

--recurse, -r
    Controlla cartelle ricorsivamente

REMOVE

calibredb remove id

Rimuove dal database i libri identificati dagli id. Gli id dovrebbero essere una lista separata da virgole di numeri id (puoi ottenere i numeri id usando il comando search). Per esempio, 23,34,57-85 (quando si specifica un intervallo, l'ultimo numero dell'intervallo è escluso).

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--permanent
    Non usare il Cestino

ADD_FORMAT

calibredb add_format [options] id ebook_file

Aggiungi l' e-book in ebook_file ai formati disponibili per il libro identificato per id. Puoi trovare l'id usando il comando cerca, se il formato è già presente verrà sostituito a meno che l'opzione 'non sostituire' non sia stata specificata.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--as-extra-data-file
    Aggiungi il file come un file di dati aggiuntivo, non come formato di e-book

--dont-replace
    Non sostituire il formato se esiste già

REMOVE_FORMAT

calibredb remove_format [opzioni] id fmt

Rimuovi il formato fmt identificato da id dal libro logico. Puoi ottenere l'id usando il comando search. fmt deve essere un'estensione di file come LRF, TXT o EPUB. Se il libro logico non ha un fmt disponibile, non fa niente.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [opzioni] id

Mostra i metadati salvati nel database di calibre per il libro identificato da id. id è un numero identificativo del comando di ricerca.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--as-opf
    Stampa i metadati in formato OPF (XML)

SET_METADATA

calibredb set_metadata [opzioni] book_id [/path/to/metadata.opf]

Imposta i metadati memorizzati nel database di calibre per il libro identificato da book_id dal file OPF metadata.opf. book_id è un numero di identificazione del libro dal comando di ricerca. Puoi farti un'idea del formato OPF usando --as-opf passa al comando show_metadata. Puoi anche impostare i metadati di singoli campi con l'opzione --field. Se usi l'opzione --field, lì non è necessario specificare un file OPF.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--field, -f
    Il campo da impostare. Il formato è nome_campo:valore, per esempio: --field tags:tag1,tag2. Usa --list-fields per ottenere una lista di tutti i nomi dei campi. Puoi specificare questa opzione più volte per impostare più di un campo. Nota bene: per le lingue devi usare i codici lingua ISO639 (p. es. en per inglese, it per italiano e così via). Per gli identificatori, la sintassi è --field identifiers:isbn:XXXX,doi:YYYYY. Per campi booleani (sì/no) usa true e false oppure yes e no.

--list-fields, -l
    Elenca i nomi dei campi di metadati che possono essere utilizzati con l'opzione --field

EXPORT

calibredb export [opzioni] id

Esporta i libri specificati con id (una lista separata da virgole) su disco. L'operazione di esportazione salva tutti i formati del libro, la copertina e i metadati (in un file OPF). Anche tutti i file di dati aggiuntivi associati al libro vengono salvati. Puoi ottenere i numeri di id con il comando search.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--all
    Esporta tutti i libri del database, ignorando la lista di id.

--dont-asciiize
    Fai convertire a calibre tutti i caratteri non inglesi nei loro equivalenti inglesi nei nomi di file. Utile se si sta salvando in un vecchio filesystem che non ha il pieno supporto ai nomi di file Unicode. Selezionando questa opzione verrà disattivata questa funzione.

--dont-save-cover
    Normalmente calibre salva le copertine in un file separato insieme ai file degli e-book. Selezionando questa opzione verrà disattivata questa funzione.

--dont-save-extra-files
    Salvare tutti i file di dati associati al libro quando si salva il libro. Selezionando questa opzione verrà disattivata questa funzione.

--dont-update-metadata
    Normalmente calibre aggiorna i metadati nei file salvati usando quelli che si trovano nella biblioteca di calibre. Questo rende il salvataggio più lento. Selezionando questa opzione verrà disattivata questa funzione.

--dont-write-opf
    Normalmente calibre scrive i metadati in documenti OPF separati assieme ai file contenenti i libri. Selezionando questa opzione verrà disattivata questa funzione.

--formats
    Elenco di formati separati da virgole da salvare per ogni libro. In modo predefinito, saranno salvati tutti i formati disponibili.

--progress
    Avanzamento report

--replace-whitespace
    Sostituisci gli spazi con trattini bassi.

--single-dir
    Esporta tutti i libri in una singola cartella

--template
    Lo schema che controlla i nomi di file e l'albero delle cartelle dei file salvati. Il valore predefinito è "{author_sort}/{title}/{title} - {authors}" che salva i libri in una sottocartella per autore mentre i nomi di file contengono titolo e autore. I controlli disponibili sono: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Il formato di visualizzazione delle date. %d - giorno, %b - mese, %m - numero mese, %Y - anno. Predefinito: %b, %Y

--to-dir
    Esporta i libri nella cartella specificata. Il valore predefinito è .

--to-lowercase
    Converti i percorsi in lettere minuscole.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--ids, -i
    Lista degli identificativi ID per il catalogo in campi separati da virgole. Se dichiarati, --search è ignorata. Valore predefinito: tutti

--search, -s
    Filtra i risultati in base alla query di ricerca. Per il formato della query di ricerca fare riferimento alla documentazione sulla sintassi di ricerca nel manuale utente. Predefinito: nessun filtraggio

--verbose, -v
    Mostra un output dettagliato. Utile per il debug

  EPUB OPZIONI

--catalog-title
    Titolo del catalogo generato usato come titolo nei metadati. Valore predefinito: 'My Books' Si applica a: formati di output AZW3, EPUB, MOBI

--cross-reference-authors
    Crea riferimenti incrociati nella sezione Autori per libri con autori multipli. Predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

--debug-pipeline
    Salva l'output dei differenti stadi di conversione raggiunti nella cartella specificata. Utile se non si conosce in quale stadio del processo di conversione si verifica l'errore. Valore predefinito: 'None' Si applica a: formati di output AZW3, EPUB, MOBI

--exclude-genre
    Regex che descrive i tag da escludere come generi. Valore predefinito: '[.+]|^+$' esclude i tag tra parentesi quadre, p. es. '[Progetto Gutenberg]', e '+', il tag predefinito per i libri letti. Si applica a: formati di output AZW3, EPUB, MOBI

--exclusion-rules
    Specifica le regole usate per escludere i libri dal catalogo generato. Il modello per una regola di esclusione è o ('<nome regola>','Tag','<lista di tag separati da virgola>') o ('<nome regola>','<colonna personalizzata>','<pattern>'). Ad Esempio: (('Libri archiviati','#stato,'Archiviato'),) escluderà un libro con valore 'Archiviato' nella colonna personalizzata 'stato'. Tutte le regole specificate verranno applicate. Valore predefinito: "(('Catalogs','Tags','Catalog'),)" Si applica a: formati di output AZW3, EPUB, MOBI

--generate-authors
    Includi la sezione 'Autori' nel catalogo. Valore predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

--generate-descriptions
    Includi la sezione 'Descrizioni' nel catalogo. Valore predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

--generate-genres
    Includi la sezione 'Generi' nel catalogo. Valore predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

--generate-recently-added
    Includi la sezione 'Aggiunti di recente' nel catalogo. Valore predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

--generate-series
    Includi la sezione 'Serie' nel catalogo. Valore predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

--generate-titles
    Includi la sezione 'Titoli' nel catalogo. Valore predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

--genre-source-field
    Campo sorgente per la sezione Generi. Valore predefinito: 'Tag' Si applica a: formati di output AZW3, EPUB, MOBI

--header-note-source-field
    Campo personalizzato che contiene una nota di testo da inserire nell'intestazione della Descrizione. Valore predefinito: '' Si applica a: formati di output AZW3, EPUB, MOBI

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specificando: <custom field> Campo personalizzato contenente note da unire ai commenti [before|after] Posizione delle note rispetto ai commenti (prima o dopo) [True|False] - Viene inserita una riga orizzontale tra le note e i commenti Valore predefinito: '::' Si applica a: formati di output AZW3, EPUB, MOBI

--output-profile
    Specifica il profilo di output. In alcuni casi un profilo di output è richiesto per ottimizzare il catalogo per il dispositivo. Ad esempio 'kindle' o 'kindle_dx' creano un Indice strutturato con Sezioni e Articoli. Valore predefinito: 'None' Si applica a: formati di output AZW3, EPUB, MOBI

--prefix-rules
    Specifica le regole utilizzate per includere i prefissi che indicano i libri letti, gli elementi della lista dei desideri e altri prefissi specificati dall'utente. Il modello per una regola di prefisso è ('<nome regola>','<campo sorgente>','<pattern>','<prefisso>'). Quando più regole sono definite viene applicata la prima regola che ha una corrispondenza basata sul pattern. Valore predefinito: '(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))' Si applica a: formati di output AZW3, EPUB, MOBI

--preset
    Usa un profilo con nome creato con l'interfaccia di costruzione catalogo. Un profilo specifica tutte le impostazioni necessarie per costruire un catalogo. Valore predefinito: 'None' Si applica a: formati di output AZW3, EPUB, MOBI

--thumb-width
    Suggerimento di dimensione (in pollici) per le copertine dei libri nel catalogo. Intervallo: 1.0 - 2.0 Valore predefinito: '1.0' Si applica a: formati di output AZW3, EPUB, MOBI

--use-existing-cover
    Sostituisci la copertina esistente quando generi il catalogo. Valore predefinito: 'False' Si applica a: formati di output AZW3, EPUB, MOBI

SAVED_SEARCHES

calibredb saved_searches [opzioni] (list|add|remove)

Gestisci le ricerche salvate conservate in questo database. Se provi ad aggiungere una ricerca con un nome già esistente, sarà sostituita.

Sintassi per aggiungere:

calibredb saved_searches add nome_ricerca espressione_di_ricerca

Sintassi per rimuovere:

calibredb saved_searches remove nome_ricerca

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opzioni] etichetta nome tipo

Crea una colonna personalizzata. etichetta è il nome amichevole della macchina della colonna. Non deve contenere spazi o punteggiatura. nome è il nome amichevole della colonna. tipo è uno di: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--display
    Un dizionario di opzioni per personalizzare l'interpretazione dei dati di questa colonna. Questa è una stringa JSON. Per le colonne di enumerazione, usare --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}". Ci sono molte opzioni che possono entrare nella variabile di visualizzazione. Le opzioni per tipo di colonna sono: composite: composite_template, composite_sort, make_category,contains_html, use_decorations data e ora: formato_data enumerazione: enum_valori, enum_colori, uso_decorazioni int, float: numero_formato testo: is_nomi, uso_decorazioni Il modo migliore per trovare combinazioni ammesse è quello di creare una colonna personalizzata del tipo appropriato nella GUI e poi guardare l'OPF di backup per un libro (assicurarsi che sia stato creato un nuovo OPF da quando la colonna è stata aggiunta). Vedrete il JSON per il "display" per la nuova colonna nell'OPF.

--is-multiple
    Questa colonna salva i tag come dati (es. valori separati da virgole). Applicato solo se il tipo di dato è testo.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Elenca le colonne personalizzate disponibili. Mostra le etichette delle colonne e gli ID.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--details, -d
    Mostra i dettagli per ogni colonna

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [opzioni] etichetta

Rimuove la colonna personalizzata identificata dall'etichetta. Puoi vedere le colonne disponibili con il comando custom_columns.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--force, -f
    Non chiedere conferma

SET_CUSTOM

calibredb set_custom [opzioni] colonna id valore

Imposta il valore di una colonna personalizzata per il libro identificato da id. Puoi ottenere una lista di id usando il comando search. Puoi ottenere una lista dei nomi delle colonne personalizzate usando il comando custom_columns.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--append, -a
    Se la colonna salva più valori, aggiunge i valori specificati a quelli esistenti, altrimenti li sostituisce.

RESTORE_DATABASE

calibredb restore_database [opzioni]

Ripristina il database a partire dai metadati conservati nei file OPF in ognuna delle cartelle della biblioteca di calibre. Utile se il tuo file metadata.db si è corrotto.

ATTENZIONE: Questo comando rigenera completamente il database. Perderai tutte le ricerche salvate, le categorie utente, i pannelli di controllo, le impostazioni di conversione per singolo libro e le ricette personalizzate. I metadati recuperati saranno accurati solo quanto lo erano i file OPF.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--really-do-it, -r
    Effettua realmente il ripristino. Il comando non sarà eseguito a meno che questa opzione non sia specificata.

CHECK_LIBRARY

calibredb check_library [opzioni]

Esegue alcuni controlli sul filesystem che rappresenta la biblioteca. I resoconti sono invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--csv, -c
    Output in CSV

--ignore_extensions, -e
    Elenco separato da virgole delle estensioni che devono essere ignorate. Predefinito: tutte

--ignore_names, -n
    Elenco separato da virgole dei nomi da ignorare. Predefinito: tutti

--report, -r
    Elenco separato da virgole dei resoconti. Predefinito: tutti

--vacuum-fts-db
    Svuota il database di ricerca del testo completo. Questo può risultare molto lento e richiedere molta memoria, a seconda delle dimensioni del database.

LIST_CATEGORIES

calibredb list_categories [options]

Crea un rapporto delle informazione sulle categorie del database. Le informazioni sono equivalenti a ciò che è mostrato nel navigatore dei Tag.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--categories, -r
    Elenco separato da virgole di nomi di riferimento per categorie. Predefinito: tutti

--csv, -c
    Output in CSV

--dialect
    Tipo di file CSV da produrre. Alternative: excel, excel-tab, unix

--item_count, -i
    Visualizza solo il numero di oggetti nella categoria invece del totale per oggetto all'interno della categoria

--width, -w
    La larghezza massima di una singola riga nell'output. L'impostazione predefinita è quella di rilevare la dimensione dello schermo.

BACKUP_METADATA

calibredb backup_metadata [opzioni]

Effettua il backup dei metadati presenti nel database in file OPF dedicati nella cartella di ogni libro. Normalmente questo avviene in maniera automatica ma puoi eseguire questo comando per forzare una nuova creazione dei file OPF, con l'opzione --all.

Nota che normalmente non è necessario farlo dato che il backup dei file OPF viene effettuato automaticamente ogni volta che i metadati cambiano.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--all
    Di solito, questo comando opera solo su libri che hanno file OPF datati. Questa opzione lo applica a tutti i libri.

CLONE

calibredb clone percorso/della/nuova/biblioteca

Crea un clone della biblioteca corrente. Questo crea una nuova biblioteca, vuota, che ha tutte le stesse colonne personalizzate, biblioteche virtuali e altre impostazioni della biblioteca corrente.

La biblioteca clonata non conterrà libri. Se desideri creare un duplicato completo, che includa tutti i libri, è sufficiente usare gli strumenti del filesystem per copiare la cartella della biblioteca.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [opzioni] id_libro

Aggiorna i metadati dentro i file dei libri conservati nella biblioteca di calibre con i metadati del database di calibre. Normalmente i metadati sono aggiornati solo quando vengono esportati file da calibre, questo comando è utile se vuoi che i file siano aggiornati dove si trovano. Tieni presente che formati di file differenti supportano diversi livelli di metadati. Puoi usare il valore speciale 'all' come id_libro per aggiornare i metadati in tutti i libri. Puoi anche specificare più id libro separati da spazi e intervalli di id separati da trattini. Per esempio: calibredb embed_metadata 1 2 10-15 23

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--only-formats, -f
    Aggiorna i metadati solamente nei file del formato specificato. Specificalo più volte per più formati. Per impostazione predefinita vengono aggiornati tutti i formati.

SEARCH

calibredb search [opzioni] espressione di ricerca

Cerca nella biblioteca il termine di ricerca specificato, restituisce una lista separata da virgole di id libro che risultano dall'espressione di ricerca. Il formato di uscita è comodo da usare in altri comandi che accettano una lista di id in ingresso.

L'espressione di ricerca può essere qualsiasi cosa che rispetti il potente linguaggio di ricerca di calibre, ad esempio: calibredb search author:asimov 'title:"i robot"'

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--limit, -l
    Il numero massimo di risultati da fornire. Il valore predefinito è tutti i risultati.

FTS_INDEX

calibredb fts_index [options] enable/disable/status/reindex

Controlla il processo di indicizzazione dei contenuti.

enable
    Abilita l'indicizzazione per la Ricerca FT in questa biblioteca

disable
    Disbilita l'indicizzazione per la Ricerca FT in questa biblioteca

status
    Mostra lo stato di indicizzazione corrente

reindex
    Può essere usato per reindicizzare libri specifici o anche l'intera biblioteca. Per reindicizzare libri specifici devi fornire i loro id come argomenti aggiuntivi dopo il il comando reindex. Se non viene specificato alcun id, l'intera biblioteca verrà reindicizzata.

    Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--indexing-speed
    La velocità di indicizzazione. Usa rapida per fare in modo che l'indicizzazione usi tutte le risorse disponibili del computer, lenta per un'indicizzazione con meno impatto sulle risorse. Tieni presente che la velocità è riportata a lenta dopo ogni utilizzo.

--wait-for-completion
    Aspetta che tutti i libri siano indicizzati, mostrando periodicamente il progresso dell'indicizzazione

FTS_SEARCH

calibredb fts_search [options] search expression

Esegui una ricerca nei contenuti sull'intera biblioteca o su una sua parte.

Ogni qualvolta vengono passati argomenti con degli spazi a calibredb, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

--do-not-match-on-related-words
    Trova solo le parole esatte e non quelle derivate. Per esempio, correggere non troverà correzione.

--include-snippets
    Includi estratti del testo nelle vicinanze dei risultati. Tieni presente che questo rende la ricerca molto più lenta.

--indexing-threshold
    Quale percentuale della biblioteca deve essere indicizzata prima che la ricerca sia permessa. Il valore predefinito è 90

--match-end-marker
    Il marcatore usato per indicare la fine di una parola corrispondente dentro un estratto

--match-start-marker
    Il marcatore usato per indicare l'inizio di una parola corrispondente dentro un estratto

--output-format
    Il formato da usare per i risultati. La scelta è tra "text" per testo semplice e "json" per il formato JSON.

--restrict-to
    Limita la ricerca a libri specifici, usando un'espressione di ricerca oppure gli id. Per esempio: ids:1,2,3 limita usando gli id, mentre search:tag:qualcosa limita la ricerca ai libri con il tag "qualcosa".

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal